* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --color-primary-blue: #363f5f;
    --color-secondary-blue: #969cb3;

    --color-primary-green: #2d4a22;
    --color-secondary-green: #49aa26;
    
    --color-pure-white: #fff;
    --color-not-so-red: #e92929;;
    --color-not-so-white:#f0f2f5;
}

html {
    font-size: 15px;
}

body {
    background-color: var(--color-not-so-white);
    font-family: 'Poppins', sans-serif;
}

.container {
    width: min(90vw, 800px);
    margin: auto;
}

h2 {
    margin-top: 3.2rem;
    margin-bottom: 0.8rem;
    color: var(--color-primary-blue);
    font-weight: normal;
}
    
header {
    background-color: var(--color-primary-green);
    padding: 2rem 0 10rem;
    text-align: center;
}

.balance {
    margin-top: -8rem;
}

.sr-only {
    position: absolute;
    color: transparent;
}

.card {
    background-color: var(--color-pure-white);
    padding: 1.5rem 2rem;
    border-radius: .25rem;
    margin-bottom: 2rem;
    color: var(--color-primary-blue);
}

.card h3 {
    font-weight: normal;
    font-size: 1rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.card p {
    font-size: 2rem;
    line-height: 3rem;
    margin-top: 1rem;
}

a.button.new {
    color: var(--color-secondary-green);
    text-decoration: none;
    margin-bottom: 1rem;
    display: inline-block;
}

a.button.new:hover {
    color: var(--color-primary-green);
    text-decoration: none;
}

.card.total {
    background-color: var(--color-secondary-green);
    color: var(--color-pure-white);
}

.transactions {
    overflow-x: auto;
    display: block;
    width: 100%;
}

.data-table {
    width: 100%;
    border-spacing: 0 .5rem;
    color: var(--color-secondary-blue);
}

table thead tr th:first-child, 
table tbody tr td:first-child {
    border-radius: .5rem 0 0 .5rem;
}

table thead tr th:last-child, 
table tbody tr td:last-child {
    border-radius: 0 .5rem .5rem 0;
}

table thead th {
    background-color: white;
    font-weight: normal;
    padding: 1rem 2rem;
    text-align: left;
}

table tbody tr {
    opacity: .7;
}

table tbody tr:hover {
    opacity: 1;
}

table tbody td {
    padding: 1rem 2rem;
    background-color: var(--color-pure-white);
}

td.description {
    color: var(--color-primary-blue);
}

td.income {
    color: var(--color-secondary-green);
}

td.expense {
    color: var(--color-not-so-red);
}

.modal-overlay {
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,.7);
    position: fixed;
    top: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    visibility: hidden;
}

.modal-overlay.active {
    visibility: visible;
}

.modal {
    padding: 2.5rem;
    position: relative;
    background: #F0F2f5;
    max-width: 500px;
    width: 100%;
}

form {
    max-width: 500px;
}

form input {
    display: block;
    border: 0;
    border-radius: .2rem;
    padding: 1rem;
    margin-top: 1rem;
    width: 100%;
}

form fieldset {
    border: 0;
}

form fieldset.actions {
    display: flex;
    justify-content: space-between;
    margin-top: 1rem;
    align-items: center;
}

button {
    width: 100%;
    height: 50px;
    border: none;
    color: var(--color-pure-white);
    background-color: var(--color-secondary-green);
    border-radius: .25rem;
    cursor: pointer;
}

button.button-cancel {
    color: var(--color-not-so-red);
    background-color: transparent;
    border: 2px var(--color-not-so-red) solid;
    opacity: .6;
}

button.button-submit {
    color: var(--color-pure-white);
    background-color: var(--color-secondary-green);
    opacity: .6;
}

button:hover {
    opacity: 1;
}

footer {
    text-align: center;
    padding: 4rem 0 2rem;
    color: var(--color-primary-blue);
    opacity: .6;
}

@media(min-width: 800px) {
    html {
        font-size: 14px;
    }

    .balance {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 2rem;
    }
}